<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorator="mob/common/layout/LoginLayoutMob">
<!--
 *******************************************************************************
 * @source  : CertificationFormMob.html
 * @desc    : 본인인증 확인 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.19   jsshin     최초 작성
 *******************************************************************************
 -->

<body>
<th:block layout:fragment="content">
	<main class="container mb">
		<!-- ★ 컨텐츠 시작 -->
		<section class="content authentic">
			<div class="inner">
				<div class="close">
					<a href="javascript:history.back();" class="btn_close"><span></span><span></span></a>
				</div>
			</div>
			<div class="inner">
				<h2 class="title">본인 인증 확인</h2>
			</div>
			<div class="inner">
				<form class="form_wrap" role="form">
					<!-- 휴대폰,아이핀 본인인증으로 아이디찾기 실패일경우 -->
					<div class="find_result clear">
						<div class="form_info">
							<p>
								본인 인증 후에 STYLE24의 다양한 서비스를<br>
								이용하실 수 있습니다.
							</p>
						</div>
						<div class="btn_group_flex">
							<div>
								<button type="button" id="btnCellPhoneCertify" class="btn btn_primary btn_block" >
									<span>휴대폰 본인인증</span>
								</button>
							</div>
						</div>
					</div>
					<!-- //휴대폰,아이핀 본인인증으로 아이디찾기 실패일경우 -->
				</form>
			</div>
		</section>
		<!-- ★ 컨텐츠 종료 -->
	</main>

<script th:inline="javascript">
/*<![CDATA[*/
	const sEncData = [[${sEncData}]];   //인증 후 해당 페이지로 리다이렉트함
	const authMethod = [[${authMethod}]]; //인증 후 해당 페이지로 리다이렉트함

	// 나이스 본인인증 후 콜백
	var fnNiceCallBack = function(encData) {
		if (!gagajf.isNull(encData)) {
			let custInfo = {};
			custInfo.encData = encData;
			let jsonData = JSON.stringify(custInfo);
			gagajf.ajaxJsonSubmit('/customer/certification/save', jsonData, fnCertificationCallback);
		}
	};

	var fnCertificationCallback = function (result) {
		if (result.isSuccess) { //인증 성공시 다시 로그인 페이지
			mcxDialog.alertC("본인인증 완료 되었습니다.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					cfnGoToPage(_PAGE_MAIN);
				}
			});
			return;
		} else { // 이미 가입된 이력이 있는 경우 완료 페이지
			cfnGoToPage(_PAGE_CUSTOMER_JOIN_COMPLETE);
		}
	}

	// 본인인증
	$('#btnCellPhoneCertify').on('click', function () {
		cfnOpenCellphoneCertify(_PAGE_CUSTOMER_CERTIFICATION, [[${custNo}]])
	});

	$(document).ready(function () {
		if (!gagajf.isNull(sEncData)) {
			fnNiceCallBack(sEncData, authMethod);
		}
	});

/*]]>*/
</script>
</th:block>
</body>
</html>